package eu.omp.irap.streamedds; 

import org.springframework.beans.factory.InitializingBean;
import esa.egos.edds.model.PacketTMProto;
import esa.egos.edds.service.PasswordExpiredFault;
import esa.egos.edds.service.AuthenticationFault;
import esa.egos.edds.notifications.NotificationChannel;
import esa.egos.edds.ws.client.notifications.NotificationManager;
import esa.egos.edds.ws.client.notifications.NotificationListener;

public class TmPacketRetriever extends PacketRetriever implements InitializingBean 
{

	protected void addListeners(NotificationManager manager) {
		manager.registerListener(NotificationChannel.PKT_TM_STREAM,
			new NotificationListener<PacketTMProto.PacketTMBinary>() {

			@Override
			public void onNotification(PacketTMProto.PacketTMBinary packet, String requestId) {
				if (TmPacketRetriever.this.getRequestId().equals(requestId)) {
					getWriter().write(packet.getBody());
				}
			}

		});
	}


}
