package eu.omp.irap.streamedds; 

import org.springframework.beans.factory.InitializingBean;
import esa.egos.edds.model.PacketTCProto;
import esa.egos.edds.service.PasswordExpiredFault;
import esa.egos.edds.service.AuthenticationFault;
import esa.egos.edds.notifications.NotificationChannel;
import esa.egos.edds.ws.client.notifications.NotificationManager;
import esa.egos.edds.ws.client.notifications.NotificationListener;

public class TcPacketRetriever extends PacketRetriever implements InitializingBean 
{

	protected void addListeners(NotificationManager manager) {
		manager.registerListener(NotificationChannel.PKT_TC_STREAM,
			new NotificationListener<PacketTCProto.PacketTCBinary>() {

			@Override
			public void onNotification(PacketTCProto.PacketTCBinary packet, String requestId) {
				if (TcPacketRetriever.this.getRequestId().equals(requestId)) {
					getWriter().write(packet.getBody());
				}
			}

		});
	}


}
